GETHeader

https://rpc-cronospos-mainnet.nodit.io/header

Retrieves the header at the specified block height. Returns the latest header if height is omitted.

Query Parameters
heightstring

Target block height. Returns the latest header if omitted.

Responses
jsonrpcstringrequired

JSON-RPC protocol version. Always 2.0.

idintegerrequired

The request ID, echoed back unchanged.

headerobject

Block header.

versionobject

Block and application protocol versions.

blockstring

Block protocol version.

appstring

Application protocol version.

chain_idstring

Chain ID.

heightstring

Block height.

timestring

Block time (UTC).

last_block_idobject

Block ID of the previous block.

hashstring

Block hash.

partsobject

Part set header, used when the block is split into parts for gossiping.

totalinteger

Total number of block parts.

hashstring

Merkle root hash of the block parts.

last_commit_hashstring

Hash of the validators' commit for the previous block.

data_hashstring

Hash of the transactions in the block.

validators_hashstring

Hash of the validator set for the current block.

next_validators_hashstring

Hash of the validator set for the next block.

consensus_hashstring

Hash of the consensus parameters for the current block.

app_hashstring

Application state hash after executing the previous block's transactions.

last_results_hashstring

Root hash of the execution results of the previous block's transactions.

evidence_hashstring

Hash of the evidence included in the block.

proposer_addressstring

Address of the validator that proposed the block.

X-API-KEY
RequestCU15
cURL
curl -X GET "https://rpc-cronospos-mainnet.nodit.io/header?height=1" \
  -H "X-API-KEY: {YOUR_API_KEY}"
Response
Example · 200
{
  "jsonrpc": "2.0",
  "id": 1,
  "result": {
    "header": {
      "version": {
        "block": "11",
        "app": "0"
      },
      "chain_id": "cosmoshub-4",
      "height": "1",
      "time": "2019-12-11T16:11:34Z",
      "last_block_id": {
        "hash": "",
        "parts": {
          "total": 0,
          "hash": ""
        }
      },
      "last_commit_hash": "E3B0C44298FC1C149AFBF4C8996FB92427AE41E4649B934CA495991B7852B855",
      "data_hash": "E3B0C44298FC1C149AFBF4C8996FB92427AE41E4649B934CA495991B7852B855",
      "validators_hash": "8B4640A28F07F7F4D9D5C7F4A7A2FBE8E1E5C3A1D2B3C4D5E6F7A8B9C0D1E2F3",
      "next_validators_hash": "8B4640A28F07F7F4D9D5C7F4A7A2FBE8E1E5C3A1D2B3C4D5E6F7A8B9C0D1E2F3",
      "consensus_hash": "048091BC7DDC283F77BFBF91D73C44DA58C3DF8A9CBC867405D8B7F3DAADA22F",
      "app_hash": "",
      "last_results_hash": "E3B0C44298FC1C149AFBF4C8996FB92427AE41E4649B934CA495991B7852B855",
      "evidence_hash": "E3B0C44298FC1C149AFBF4C8996FB92427AE41E4649B934CA495991B7852B855",
      "proposer_address": "B00A6323737F321EB0B8D59C6FD497A14B60938A"
    }
  }
}